# osg::TriangleMesh Class Reference

Inheritance diagram for osg::TriangleMesh:

[legend]
List of all members.

## Public Member Functions

| TriangleMesh ()
| TriangleMesh (const TriangleMesh &mesh, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Shape (osg, TriangleMesh)
void | setVertices (Vec3Array *vertices)
Vec3Array * | getVertices ()
const Vec3Array * | getVertices () const
void | setIndices (IndexArray *indices)
IndexArray * | getIndices ()
const IndexArray * | getIndices () const

## Protected Member Functions

| ~TriangleMesh ()

## Protected Attributes

ref_ptr< Vec3Array > | _vertices
ref_ptr< IndexArray > | _indices

## Constructor & Destructor Documentation

osg::TriangleMesh::TriangleMesh | ( |  | ) | `[inline]`

osg::TriangleMesh::TriangleMesh | ( | const TriangleMesh & | mesh,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

osg::TriangleMesh::~TriangleMesh | ( |  | ) | `[inline, protected]`

## Member Function Documentation

const IndexArray* osg::TriangleMesh::getIndices | ( |  | ) | const`[inline]`

IndexArray* osg::TriangleMesh::getIndices | ( |  | ) | `[inline]`

const Vec3Array* osg::TriangleMesh::getVertices | ( |  | ) | const`[inline]`

Vec3Array* osg::TriangleMesh::getVertices | ( |  | ) | `[inline]`

osg::TriangleMesh::META_Shape | ( | osg | ,
|  | TriangleMesh |
| ) |

| Reimplemented in osg::ConvexHull.

void osg::TriangleMesh::setIndices | ( | IndexArray * | indices | ) | `[inline]`

void osg::TriangleMesh::setVertices | ( | Vec3Array * | vertices | ) | `[inline]`

## Member Data Documentation

ref_ptr<IndexArray> osg::TriangleMesh::_indices `[protected]`

ref_ptr<Vec3Array> osg::TriangleMesh::_vertices `[protected]`

The documentation for this class was generated from the following file:

- Shape